/*
 * generated by Xtext
 */
package de.ugoe.cs.swe.parser.antlr;

import com.google.inject.Inject;

import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import de.ugoe.cs.swe.services.TTCN3GrammarAccess;

public class TTCN3Parser extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser {
	
	@Inject
	private TTCN3GrammarAccess grammarAccess;
	
	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	
	@Override
	protected de.ugoe.cs.swe.parser.antlr.internal.InternalTTCN3Parser createParser(XtextTokenStream stream) {
		return new de.ugoe.cs.swe.parser.antlr.internal.InternalTTCN3Parser(stream, getGrammarAccess());
	}
	
	@Override 
	protected String getDefaultRuleName() {
		return "TTCN3File";
	}
	
	public TTCN3GrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(TTCN3GrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
	
}
